package com.bwie.controller;

import com.bwie.admin.User;
import com.bwie.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author Lenovo
 */
@RestController
public class UserController {
    @Autowired
    private UserService userService;

    /**
     * 实现查询功能
     * @return
     */
    @GetMapping("/selectUserAll")
    public List<User> selectUserAll(){
        return userService.selectUserAll();
    }

    /**
     * 实现删除功能
     * @param uid
     */
    @DeleteMapping("/deleteUserById/{uid}")
    public void deleteById(@PathVariable Integer uid){
        userService.deleteById(uid);
    }

    /**
     * 列表查询年龄降序排序，
     * @param limit
     * @return
     */
    @PostMapping("/selectUserAge")
    public List<User> selectUserAge(int limit){
        return userService.selectUserAge(limit);
    }

}
